//<SCRIPT LANGUAGE=javascript>
<!--

//////////////////////////////////////////
//
// USES:
//		swfobject
//
//////////////////////////////////////////


//////////////////////////////////////////////////////////////////
// calling function in flashmovie without allowScriptAccess
//
// flashfunction:string
// flashqueryparameters:Object
// lcout is localconnection ID
function callToFlashViaGateway(movieid, flashparameters, lcout, flashfunction)
{
	//alert("callFlashMovie "+movieid);

	// defaults
	if (flashfunction==null)	flashfunction="callFromGateway";

	var gatewaydivID = "gatewaymoviediv_"+movieid;
	var gatewaymovieID = "gatewaymovie_"+movieid;
	if (!document.getElementById(gatewaydivID))
	{
		var gatewaydiv = document.createElement("div");
		gatewaydiv.id = gatewaydivID;
		document.body.appendChild(gatewaydiv);
	}

	var flashvars = {};// or false/null/0 when left empty
	flashvars.movie = gatewaymovieID;
	flashvars.lcout = lcout;
	flashvars.func = flashfunction;
	for (var key in flashparameters)
		flashvars[key] = flashparameters[key];


	var params = {};//play,loop,menu,quality,scale,salign,wmode,bgcolor,base,swliveconnect,flashvars
					//devicefont,allowscriptaccess,seamlesstabbing,allowfullscreen,allownetworking
	//params.allowScriptAccess = 'sameDomain';

	var attributes = {};//id,name,class,align 
	attributes.id = gatewaymovieID;
	attributes.name = gatewaymovieID;
	swfobject.embedSWF("swf/ax_gateway.swf", gatewaydivID, "0", "0", "9.0.0", "swf/expressInstall.swf", flashvars, params, attributes);
}


/////////////////////////////////
// CALLING FLASH via ExternalInterface callback
function processToFlash(sMovieID, oParams)
{
	var oMov = document.getElementById(sMovieID);
	var sResult = oMov.processFromJS(oParams);
	return sResult;
}


/////////////////////////////////
// EXAMPLES: CALLBACKS FOR FLASH
/*
	// via navigateToURL
	function callFromFlash(value, aParams)
	{
		document.forms["form1"].output.value += "ActionScript says callFromFlash: " + value + "\n";
	}
	// via ExternalInterface
	function callFromFlash(value)//, value2, value3, etc...
	{
		document.forms["form1"].output.value += "ActionScript says callFromFlash: " + value + "\n";
	}
*/

////////////////////////////////////////////
//
//	FULLSIZE OVERLAY FUNCTIONS
//
	function setOverlayVisibility(bVisible)
	{
		//document.getElementById('overlayholderdiv').style.height = '100%';
		//document.getElementById('overlayholderdiv').style.width = '100%';
		document.getElementById('overlayholderdiv').style.visibility = (bVisible ? 'visible' : 'hidden');
	}
	function toggleOverlayVisibility()
	{
		//alert('vis: '+(document.getElementById('overlayholderdiv').style.visibility));
		var sVisibility = document.getElementById('overlayholderdiv').style.visibility;
		setOverlayVisibility(sVisibility == 'hidden' || sVisibility == '');
	}

	function getUniqueLCID()
	{
		var dtmNow = new Date();
		var tmNow = dtmNow.getTime();
		var sID = tmNow + "_" + (10000 + Math.floor(Math.random()*((99999-10000)+1.0)));
		return sID;
	}

	var g_sOverlayLCIn = getUniqueLCID();

	// uses:	swfobject
	// assumes:	swf/expressInstall.swf present
	function embedOverlay(sSWFMovie, oSettings)
	{
		// defaults
		if (oSettings==null)					oSettings={};
		if (oSettings['doscaling']==null)		oSettings['doscaling']=false;
		if (oSettings['allowfullscreen']==null)	oSettings['allowfullscreen']=false;
		if (oSettings['swfpreloading']==null)	oSettings['swfpreloading']=false;
		if (oSettings['lcin']==null)			oSettings['lcin']=g_sOverlayLCIn;

		g_sOverlayLCIn = oSettings['lcin'];

		/////////////////////
		// first initiate DIV

		var overlayholderdivID = "overlayholderdiv";
		if (!document.getElementById(overlayholderdivID))
		{
			var overlayholderdiv = document.createElement("div");
			overlayholderdiv.id = overlayholderdivID;
			document.body.appendChild(overlayholderdiv);
		}
		var oHolder = document.getElementById(overlayholderdivID);
		var overlaytargetdivID = "overlaytargetdiv";
		if (!document.getElementById(overlaytargetdivID))
		{
			var overlaytargetdiv = document.createElement("div");
			overlaytargetdiv.id = overlaytargetdivID;
			oHolder.appendChild(overlaytargetdiv);
		}
		var oTarget = document.getElementById(overlaytargetdivID);

		var sTargetDefaultContent = '<h1>Alternative content</h1><p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" /></a></p>';
		oTarget.innerHTML = sTargetDefaultContent;

		var styles = document.createElement('style');
		styles.setAttribute('type', 'text/css');
		var sClassDefinition = document.createTextNode('.cFullsizeOverlay\n{\nposition: fixed;\ntop: 30px;\nleft: 0px;\nheight:100%;\nwidth:100%;\nz-index: 2147483647;\nmargin: 0px 0px 0px 0px;\npadding: 0px 0px 0px 0px;\nvisibility: hidden;\n}\n'); 
		styles.appendChild(sClassDefinition);
  
		var headRef = document.getElementsByTagName('head')[0];
		headRef.appendChild(styles); 

		oHolder.setAttribute('class','cFullsizeOverlay');

		//var sStyle = 'position: fixed; top: 30px; left: 0px; height:100%; width:100%; z-index: 2147483647; margin: 0px 0px 0px 0px; padding: 0px 0px 0px 0px; visibility: hidden;';
		//oHolder.style.


		/////////////////////
		// now replace div with movieobject

		var flashvars = {};// or false/null/0 when left empty
		flashvars.lcin = g_sOverlayLCIn;
		var params = {};//play,loop,menu,quality,scale,salign,wmode,bgcolor,base,swliveconnect,flashvars
						//devicefont,allowscriptaccess,seamlesstabbing,allowfullscreen,allownetworking
		//params.pluginspage = 'http://www.macromedia.com/go/getflashplayer';
		params.quality = 'high';
		params.play = 'true';
		params.loop = 'false';
		params.scale = (oSettings['doscaling']?'showall':'noscale');
		params.wmode = 'transparent';
		params.devicefont = 'false';
		params.bgcolor = '#000000';
		params.menu = 'true';
		params.allowFullScreen = (oSettings['allowfullscreen']?'true':'false');
		params.allowScriptAccess = 'sameDomain';
		params.salign = '';
		var attributes = {};//id,name,class,align
		attributes.id = "overlaymovie";
		attributes.name = "overlaymovie";
		attributes.align = 'middle';
		swfobject.embedSWF(sSWFMovie, "overlaytargetdiv", "100%", "100%", "9.0.0", "swf/expressInstall.swf", flashvars, params, attributes);

		setOverlayVisibility(oSettings['swfpreloading']);
	}

	function callOverlay(flashparameters)
	{
		callToFlashViaGateway("overlaymovie", flashparameters, g_sOverlayLCIn);
	}

//-->
//</SCRIPT>